function OnGameEnd()
	states["sys_block_esc"]=1
	s.s01_0502_ho=1
	Delete("i_lighter")
	Delete("i_petroleum")
	Take("i_photopieces")
    GoTo("s01_0505_photopuzzle")
end

function OnGameFail()
	HO = GetSceneNodesByType(EMystNodeHiddenGroup)
	HO[1]:Reset() 
end
